Bug 859095 - ovirt-engine-backend: Misleading message when performing quota operations .
ovirt-engine-backend: Misleading message when performing quota operations .
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
sla
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-20 10:35 EDT by Oded Ramraz
Modified: 2016-02-10 15:15 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-14 02:57:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oded Ramraz 2012-09-20 10:35:33 EDT
Description of problem:

When adding my user as a quota consumer for a specific quota i see the following message : 

"User/Group OdedR@qa.qumranet.com was granted permission for Role QuotaConsumer on Quota test, by vdcadmin."

When looking at the Roles list I didn't see any role with name QuotaConsumer , I didn't find relevant permissions as well.

Either those Roles / Permissions should be displayed in Roles list or alternately we should rephrase them. 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Oded Ramraz 2012-09-20 10:37:20 EDT
(In reply to comment #0)
> Description of problem:
> 
> When adding my user as a quota consumer for a specific quota i see the
> following message : 
> 
> "User/Group OdedR@qa.qumranet.com was granted permission for Role
> QuotaConsumer on Quota test, by vdcadmin."
> 
> When looking at the Roles list I didn't see any role with name QuotaConsumer
> , I didn't find relevant permissions as well.
> 
> Either those Roles / Permissions should be displayed in Roles list or
> alternately we should rephrase them. 

I meant to rephrase the event messages . 

> 
> 
> Version-Release number of selected component (if applicable):
> 
> 
> How reproducible:
> 
> 
> Steps to Reproduce:
> 1.
> 2.
> 3.
>   
> Actual results:
> 
> 
> Expected results:
> 
> 
> Additional info:
Comment 2 Oded Ramraz 2012-09-20 16:05:51 EDT
When looking at Rest API capabilities I managed to find those Roles / permissions :

## Roles:
<role href="/api/roles/def0000a-0000-0000-0000-def00000000a" id="def0000a-0000-0000-0000-def00000000a"><name>QuotaConsumer</name><description>User Role, permissions to consume the Quota resources</description><link href="/api/roles/def0000a-0000-0000-0000-def00000000a/permits" rel="permits"/><mutable>false</mutable><administrative>false</administrative></role>

## Permissions . 

<permit id="900"><name>configure_quota</name><administrative>true</administrative></permit><permit id="901"><name>consume_quota</name><administrative>false</administrative></permit>

My question is : Why don't we see them in UI as well ?
Comment 3 Oded Ramraz 2012-10-10 14:24:23 EDT
Doron , please look at comment 2 . Should we see those Roles from UI as well?
If so I'll change the bug title accordingly .
Comment 4 Doron Fediuck 2012-10-11 13:02:37 EDT
Oded,
For Quota we needed a different level of permissions, in order to allow users
to actually use the quota. This is not exactly as other roles in the system.
Still it was implemented as an MLA role, but you can see the consumer in
the quota tab and not in the permissions tab.

The event text you see, comes from the standard USER_ADD_PERMISSION.
We cannot change it, as it will change all MLA events.

I agree this is not trivial, but it may be more clear if we have better
documentation for it. What do you say?

As for REST, currently there's no API for the Quota, which will be changed
in coming versions. Still, this info should be available in the REST.
Comment 5 Itamar Heim 2013-04-14 02:57:48 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.